Test::Array Namespace Reference

Tests for arrays. More...

## Classes

class | Iterator
| Base class for testing iterators More...
class | TestSpace
| Test space. More...
class | VarArrayIterator
| Class for testing the VarArray iterator More...
class | VarArgsIterator
| Class for testing the VarArgs iterator More...
class | ViewArrayIterator
| Class for testing the ViewArray iterator More...
class | SharedArrayIterator
| Class for testing the SharedArray iterator More...

## Variables

Test::Array::VarArrayIterator | varArrayIteratorTest
Test::Array::VarArgsIterator | varArgsIteratorTest
Test::Array::ViewArrayIterator | viewArrayIteratorTest
Test::Array::SharedArrayIterator | sharedArrayIteratorTest

## Detailed Description

Tests for arrays.

## Variable Documentation

## varArrayIteratorTest

Test::Array::VarArrayIterator Test::Array::varArrayIteratorTest

## varArgsIteratorTest

Test::Array::VarArgsIterator Test::Array::varArgsIteratorTest

## viewArrayIteratorTest

Test::Array::ViewArrayIterator Test::Array::viewArrayIteratorTest

## sharedArrayIteratorTest

Test::Array::SharedArrayIterator Test::Array::sharedArrayIteratorTest